<?PHP 
include("header.php");
//session_start();
//error_reporting(0);

include "checksession.php";



include "include/db-connect.php";

 ?>
  <div id="content">
  <div class="breadcrumb">
       <!-- <a href="http://amarasudhan.com/admin/index.php?route=common/home&amp;token=b735cc089ec2d51abb9a8e1901f501fb">Home</a>-->
      </div>
              <div class="box">
    <div class="heading">
      <h1><img src="view/image/home.png" alt="" />Offer Details</h1>
    </div>
    <div class="content">
      <div class="overview" style="width:80%; margin-left:200px;">
        <div class="dashboard-heading"> Offer Details</div>
        <div class="dashboard-content">
        
 <?php

if($_REQUEST['add'] == 'success') {echo $result= '<h4 class="alert_success">User Added Successfully </h4>';}

if($_REQUEST['edit'] == 'sucess') {echo $result= '<h4 class="alert_success">User Edited Successfully </h4>';}

if($_REQUEST['deactive'] == 'success') {echo $result= '<h4 class="alert_success">Deactivated Successfully </h4>';}

if($_REQUEST['delete'] == 'sucess') {echo $result= '<h4 class="alert_success">User Deleted Successfully </h4>';}



?>																																							        

 

  <table class="list" cellspacing="0" > 
			<thead> 
                 <tr>
                 
                    <td class="left">S.No</td>
    				<td class="left">User Name</td>
                    <td class="left">Password</td>
                    <td class="left">Edit</td>
                    <td class="left">Delete</td>
              </tr>
              </thead>
			
			<tbody> 
           
				 
			  <?php 

		$dis1="select COUNT(*) as num  from ".$ADMIN." where code='1'   ";		

		$total_pages = mysql_fetch_array(mysql_query($dis1));
		$adjacents = 3;
        $total_pages = $total_pages[num];

$targetpage = ""; //your file name (the name of this file)

$limit = 10; //how many items to show per page

$page = $_GET['page'];

if($page)

$start = ($page - 1) * $limit; //first item to display on this page

else

$start = 0; //if no page var is given, set start to 0

if ($page == 0) $page = 1; //if no page var is given, default to 1.

$prev = $page - 1; //previous page is page - 1

$next = $page + 1; //next page is page + 1

$lastpage = ceil($total_pages/$limit); //lastpage is = total pages / items per page, rounded up.

$lpm1 = $lastpage - 1; //last page minus 1


$pagination = "";

if($lastpage > 1)

{

$pagination .= "<div class=\"pagination\">";

//previous button

if ($page > 1)

$pagination.= "<a href=\"$targetpage?page=$prev \">« Previous &nbsp;</a>";

else

$pagination.= "<span class=\"disabled\">« Previous &nbsp;</span>";



//pages

if ($lastpage < 7 + ($adjacents * 2)) //not enough pages to bother breaking it up

{

for ($counter = 1; $counter <= $lastpage; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

}

elseif($lastpage > 5 + ($adjacents * 2)) //enough pages to hide some

{

//close to beginning; only hide later pages

if($page < 1 + ($adjacents * 2))

{

for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;s</a>";

}

$pagination.= "...";

$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;s</a>";

}

//in middle; hide some front and some back

elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))

{

$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";

$pagination.= "...";

for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

$pagination.= "...";

$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;s</a>";

}

//close to end; only hide early pages

else

{

$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";

$pagination.= "...";

for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

}

}



//next button

if ($page < $counter - 1)

$pagination.= "<a href=\"$targetpage?page=$next \">Next » &nbsp;</a>";

else

$pagination.= "<span class=\"disabled\">Next » &nbsp;</span>";

$pagination.= "</div>\n";

}

if($total_pages!=0)
{

		$qur="SELECT * FROM ".$ADMIN." where code='1' order by id desc  LIMIT $start, $limit"; 

		$result = mysql_query($qur)or die('Have an error in viewing data'.mysql_error());

		while ($row_section = mysql_fetch_array($result)) 
			{
			  ?>	    
			    <tr> 
   					<td class="left"><?php echo $id=$row_section['id'];?></td> 

    				<td class="left"><?php  echo $adm_name=$row_section['adm_name'];?></td>
                    <td class="left"><?php  echo $adm_name=$row_section['adm_pass'];?></td>
                   
                     <td class="left">
                     
                     <a href="edit_user.php?id=<?php echo $row_section['id'];?>" onClick="return confirm('Are you sure you want to Edit?')">
                     <input type="image" src="images/edit.jpg" title="Edit" width="20" height="20"></a> </td>
                     
                     <td class="left"><a href="delete_user.php?id=<?php echo $row_section['id'];?>" onClick="return confirm('Are you sure you want to delete?')">
                     <input type="image" src="images/delete1.jpg" title="Delete" width="20" height="20"></a> </td>
                     
                     
                     

				</tr> 	 

				 

<?php } } else { echo "No records Found"; }?> 

 

			</tbody> 
 
			</table>
            
   
        </div>
        <div align="right"><?php echo $pagination; ?> 	</div>	
      </div>
      
      
    </div>
  </div>
</div>
<!--[if IE]>
<script type="text/javascript" src="view/javascript/jquery/flot/excanvas.js"></script>
<![endif]--> 
<script type="text/javascript" src="view/javascript/jquery/flot/jquery.flot.js"></script> 
<script type="text/javascript"><!--
function getSalesChart(range) {
	$.ajax({
		type: 'get',
		url: 'index.php?route=common/home/chart&token=b735cc089ec2d51abb9a8e1901f501fb&range=' + range,
		dataType: 'json',
		async: false,
		success: function(json) {
			var option = {	
				shadowSize: 0,
				lines: { 
					show: true,
					fill: true,
					lineWidth: 1
				},
				grid: {
					backgroundColor: '#FFFFFF'
				},	
				xaxis: {
            		ticks: json.xaxis
				}
			}

			$.plot($('#report'), [json.order, json.customer], option);
		}
	});
}

getSalesChart($('#range').val());
//--></script> 
</div>
<?php include("footer.php"); ?>